## org.hibernate.cfg
Class SettingsFactory

    java.lang.Object
      org.hibernate.cfg.SettingsFactory

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InjectionSettingsFactory

    public class SettingsFactory

extends Object
implements Serializable

Reads configuration properties and builds a `Settings` instance.

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary
`static String` `DEF_CACHE_REG_FACTORY`

Constructor Summary
`protected` `SettingsFactory()`

Method Summary
`protected BytecodeProvider` `buildBytecodeProvider(String providerName)`
`Settings` `buildSettings(Properties props)`
`protected BatcherFactory` `createBatcherFactory(Properties properties, int batchSize)`
`protected ConnectionProvider` `createConnectionProvider(Properties properties)`
`protected QueryCacheFactory` `createQueryCacheFactory(Properties properties)`
`protected QueryTranslatorFactory` `createQueryTranslatorFactory(Properties properties)`
`static RegionFactory` `createRegionFactory(Properties properties, boolean cachingEnabled)`
`protected TransactionFactory` `createTransactionFactory(Properties properties)`
`protected TransactionManagerLookup` `createTransactionManagerLookup(Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEF_CACHE_REG_FACTORY

    public static final String DEF_CACHE_REG_FACTORY

Constructor Detail

### SettingsFactory

    protected SettingsFactory()

Method Detail

### buildSettings

    public Settings buildSettings(Properties props)

### buildBytecodeProvider

    protected BytecodeProvider buildBytecodeProvider(String providerName)

### createQueryCacheFactory

    protected QueryCacheFactory createQueryCacheFactory(Properties properties)

### createRegionFactory

    public static RegionFactory createRegionFactory(Properties properties,
                                                    boolean cachingEnabled)

### createQueryTranslatorFactory

    protected QueryTranslatorFactory createQueryTranslatorFactory(Properties properties)

### createBatcherFactory

    protected BatcherFactory createBatcherFactory(Properties properties,
                                                  int batchSize)

### createConnectionProvider

    protected ConnectionProvider createConnectionProvider(Properties properties)

### createTransactionFactory

    protected TransactionFactory createTransactionFactory(Properties properties)

### createTransactionManagerLookup

    protected TransactionManagerLookup createTransactionManagerLookup(Properties properties)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.